[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# EDatabaseError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Base class for all database-related errors

## Declaration

Source position: db.pas line 81

`type EDatabaseError = class(Exception)`

## Inheritance

`EDatabaseError` |  | Base class for all database-related errors
`Exception`
`TObject`

## Description

EDatabaseError is the base class from which database-related exception classes should derive. It is raised by the DatabaseError call.

## See also

DatabaseError |  | Raise an EDatabaseError exception.
DatabaseErrorFmt |  | Raise an EDatabaseError exception with a formatted message